%% Fig 2A_distribution

if ~exist('Fig2plot', 'dir')
   mkdir Fig2plot
end

filename = sprintf('Fig2data/Fig2_Dr000.36_t20_reflective_RN_TI1Pos101_201x201.mat');
res = load(filename);
Za = res.results.Za;
ZaIni = Za(:,:,1);
ZaEnd = Za(:,:,end);
N = size(ZaEnd,1) * size(ZaEnd,2);
ZaMax = max(max(ZaEnd));
ZaMin = min(min(ZaEnd));

figure;
logedges = logspace(-2,2,101);
for i = 1:size(Za,3)
    fm = Za(:,:,i);
    h = hist(fm(:),logedges);
    histData(i,:) = h; 
end
cA = logedges;
histDataNorm = histData./N;

imagesc(histDataNorm);

cyanyellow = [linspace(0.8,0.9,256)',linspace(0.9,0.8,256)',linspace(0.9,0,256)'];
newmap = [ones(1, 3); cyanyellow(:, :)];
colormap(newmap);
colorbar;
t = get(gca, 'YTick');                                
set(gca, 'YTick', t, 'YTickLabel', t/10) 
set(gca, 'XTick', 1:25:101, 'XTickLabel',logedges(1:25:end)) 
grid on
set(gca,'LineWidth', 0.5)
xlabel('[A] (nM)')
ylabel('t (hour)')
zlabel('percentage')

figname = sprintf('Fig2plot/Fig2A_distribution');
saveas(gca, strcat(figname,'.fig'));
saveas(gca, strcat(figname,'.png'));

t_lst = [1,  90,  200];
whitered = [linspace(1,1,256); linspace(1,0.3,256); linspace(1,0.3,256)]';

for cont= 1:size(t_lst,2)
    Zat = res.results.Za(:,:,t_lst(cont));
    figure;
    imagesc(Zat(1:30,1:30));
    colormap(whitered);
    colorbar;
    caxis([0, 40]);
    figname = sprintf('Fig2plot/Fig2A_pattern%d',cont);
    saveas(gca, strcat(figname,'.fig'));
    saveas(gca, strcat(figname,'.png'));
end