%% Plot Fig2B :: 2-D autocorrelation radial mean

if ~exist('Fig2plot', 'dir')
   mkdir Fig2plot
end

% D_lst = [0.36, 3.6, 36.0, 360];
% L = 100.5;
% showSize = 15;
% corrL = 2*L -1;
% X = -corrL:1:corrL;

L = 100.5;
corrL = 2*L -1;

dataname = sprintf('Fig2data/Fig2_Dr000.36_ori_sf_A.mat');
res = load(dataname);
cor_lst(:,:,1) = res.cor;
cor_lst(:,:,2) = res.sf_cor;
    
cor_dist2 = zeros(2*corrL+1);
for ii = -corrL:1:corrL
    for jj = -corrL:1:corrL
        cor_dist2(ii+corrL+1, jj+corrL+1) = ii^2 + jj^2;
    end
end

for i =1:2
    cor_lib = sortrows(reshape(cat(3, cor_dist2, squeeze(cor_lst(:,:,i))), (2*corrL+1)^2,2));
    Rsum = zeros((2*corrL+1)^2,3);
    f = 1;
    for k = 1:(2*corrL+1)^2
        if cor_lib(k,1) == Rsum(f,1)
        else
            f = f + 1;
            Rsum(f,1) = cor_lib(k,1);
        end
        Rsum(f,2) = Rsum(f,2) + cor_lib(k,2);
        Rsum(f,3) = Rsum(f,3) + 1;
    end
    cor_RadMean = [sqrt(Rsum(1:f,1)),Rsum(1:f,2)./Rsum(1:f,3)];
    cor_RM_lst(:,:,i) = cor_RadMean(1:10,:);
end
 
figure;
hold on
plot(cor_RM_lst(:,1,1),zeros(10,1),'k-');
plot(cor_RM_lst(:,1,1),cor_RM_lst(:,2,1),'-o');
plot(cor_RM_lst(:,1,2),cor_RM_lst(:,2,2),'--o');
ylabel('Radially normalized 2-D autocorrelation')
xlabel('Distance (cell number)')
ylim([-0.6,1]);
hold off

figname = sprintf('Fig2plot/Fig2B');
saveas(gca, strcat(figname,'.fig'));
saveas(gca, strcat(figname,'.png'));
