%% Plot Fig2C :: 2-D autocorrelation heatmap

if ~exist('Fig2plot', 'dir')
   mkdir Fig2plot
end

D_lst = [0.36, 3.6, 36.0, 360];
L = 100.5;
showSize = 15;
corrL = 2*L -1;
X = -corrL:1:corrL;

n_r = 256;
n_b = 256;
whitered = [ones(1,n_r); linspace(1,0,n_r); linspace(1,0,n_r)]';
bluewhite = [linspace(0,1,n_b); linspace(0,1,n_b); ones(1,n_b)]';
red = [ones(1,n_r); linspace(0,0,n_r); linspace(0,0,n_r)]';
blue = [linspace(0,0,n_b); linspace(0,0,n_b); ones(1,n_b)]';
bluewhitered = [blue; blue; bluewhite; whitered; red; red];
whitered = [linspace(1,1,256); linspace(1,0.3,256); linspace(1,0.3,256)]';

for cont= 1:size(D_lst,2)
    dataname = sprintf('Fig2data/Fig2_Dr%06.2f_t20_reflective_RN_TI1Pos101_201x201.mat',D_lst(cont));
    res = load(dataname);
    ori(:,:,cont) = res.results.Za(:,:,end);
    dataname = sprintf('Fig2data/Fig2_Dr%06.2f_ori_sf_A.mat',D_lst(cont));
    res = load(dataname);
    cor = res.cor;
    cor_ctr = cor(2*L-showSize:2*L+showSize,2*L-showSize:2*L+showSize);%(190:210,190:210);
    cor_mir = flip(cor_ctr,1);
    ave_cor_ctr(:,:,cont) = (cor_ctr + rot90(cor_ctr,1) + rot90(cor_ctr,2) + rot90(cor_ctr,3) ...
        + cor_mir + rot90(cor_mir,1) + rot90(cor_mir,2) + rot90(cor_mir,3))/8;

end
%%

Yo = -50:50;
Yc = -showSize:1:showSize;
for cont = 1:4
    figure;
    imagesc(Yo, Yo, ori(Yo+100,Yo+100,cont));
    colorbar;
    caxis([0 50]);
    colormap(whitered);
    
    figname = sprintf('Fig2plot/Fig2C_ori%d',cont);
    saveas(gca, strcat(figname,'.fig'));
    saveas(gca, strcat(figname,'.png'));
    
    figure;
    imagesc(Yc, Yc, ave_cor_ctr(:,:,cont));
    caxis([-1, 1]);
    colorbar;
    colormap(bluewhitered);

    figname = sprintf('Fig2plot/Fig2C_heatmap%d',cont);
    saveas(gca, strcat(figname,'.fig'));
    saveas(gca, strcat(figname,'.png'));    

end

