%% Plot Fig2D :: SFPS

if ~exist('Fig2plot', 'dir')
   mkdir Fig2plot
end

D_lst = 0.36.*10.^(linspace(0,3,25));%[0.36, 0.72, 1.8, 3.6, 4.8, 6, 7.2, 14.4, 21.6, 28.8, 36, 72, 180, 360];
colorset = [134,250,242; 48,231,237; 0,166,215; 0,88,179; ...
            134,250,242; 48,231,237; 0,166,215; 0,88,179; ...
            134,250,242; 48,231,237; 0,166,215; 0,88,179; ...
            134,250,242; 48,231,237; 0,166,215; 0,88,179; ...
            134,250,242; 48,231,237; 0,166,215; 0,88,179; ...
            134,250,242; 48,231,237; 0,166,215; 0,88,179; ...
            134,250,242; 48,231,237; 0,166,215; 0,88,179]/255;
L = 100.5;
k = 1:L+0.5;

figure;  
hold on

for d= 1:size(D_lst,2)
    dataname = sprintf('Fig2data/Fig2_Dr%06.2f_ori_sf_A.mat',D_lst(d));
    res = load(dataname);
    fp = abs(res.ft).^2/2/L;
    fp_dist2 = zeros(2*L, 2*L);
    for ii = -L+0.5:1:L-0.5
        for jj = -L+0.5:1:L-0.5
            fp_dist2(ii+L+0.5, jj+L+0.5) = ii^2 + jj^2;
        end
    end
    fp_lib = sortrows(reshape(cat(3, fp_dist2, fp), (2*L)^2,2));
    Rsum = zeros((2*L)^2,3);
    f = 1;
    for i = 1:(2*L)^2
        if fp_lib(i,1) == Rsum(f,1)
        else
            f = f + 1;
            Rsum(f,1) = fp_lib(i,1);
        end
        Rsum(f,2) = Rsum(f,2) + fp_lib(i,2);
        Rsum(f,3) = Rsum(f,3) + 1;
    end
    fp_Rmean = [sqrt(Rsum(2:f,1)),Rsum(2:f,2)./Rsum(2:f,3)];
    fp_rad = fp_Rmean(fp_Rmean(:,1)<=(L+0.5),:);
    
    options = fitoptions('Method','SmoothingSpline', 'SmoothingParam',0.001);%0.025
    [cv, goodness, output] = fit(fp_rad(:,1),fp_rad(:,2), 'SmoothingSpline',options);
    mrek = cv(k);
    [mx, idx] = max(mrek);
    
    plot(fp_rad(:,1),fp_rad(:,2), 'Color', [colorset(d,:),0.1]);
    plot(k,mrek,'Linewidth',1,'Color', colorset(d,:));
    line([idx, idx],[mx/5, mx*5],'Linewidth',1,'Color','k');
    idx_lst(d) = idx;
%     displayText = sprintf('when D = %.3f, kc = %d', D_lst(d), idx);
%     display(displayText);
end

xlim([0, 101]);
ylim([100, 10^7]);
xlabel('wavenumber k')
ylabel('frequency power')
set(gca, 'YScale', 'log')
hold off

figname = sprintf('Fig2plot/Fig2D_SFPS');
saveas(gca, strcat(figname,'.fig'));
saveas(gca, strcat(figname,'.png'));

%%
figure;
plot(D_lst./36,idx_lst,'o-');
ylabel('Dominant wavenumber k')
xlabel('D (um^2/s)')
set(gca, 'XScale', 'log')

figname = sprintf('Fig2plot/Fig2D_SFPS_curve');
saveas(gca, strcat(figname,'.fig'));
saveas(gca, strcat(figname,'.png'));