%% Plot Fig3E

if ~exist('Fig3Eplot', 'dir')
   mkdir Fig3Eplot
end

files = dir('*Dr*.mat'); % select files with certain criteria 
TI_lst = logspace(0,5,51);
whitered = [linspace(1,1,256); linspace(1,0.3,256); linspace(1,0.3,256)]';
whitegreen = [linspace(1,0.2,256); linspace(1,0.8,256); linspace(1,0.2,256)]';
for cont = 1:size(TI_lst, 2)
    filename = sprintf('Fig3Edata/Fig3E_Dr3.600_t200_reflective_constLA_TI#%02d_Pos1_1x60.mat',cont);
    res = load(filename);

    subA = res.results.Za(:, :, end);
    subR = res.results.Zr(:, :, end);
    subA = squeeze(squeeze(subA));
    subR = squeeze(squeeze(subR));
    Aplot(cont,:) = subA;
    Rplot(cont,:) = subR;    
end
A_binary = logical(Aplot> 10);

%%
bound = [-10,6,20,32,46,60,74];
xx = linspace(0,60,601);
for k = 1:6
    % peak 1
    A_p = A_binary;
    for i = 1:size(Aplot,1)
        for j = 1:size(Aplot,2)
            if (i - 2* j + bound(k) > 0)||(i - 2* j + bound(k+1) < 0)
                A_p(i,j) = 0;
            end
        end
    end
    [row, col] = find(A_p>0.5);
    f = fit(row, col,'smoothingspline','SmoothingParam',0.01);
    Ap_mat(k,:,:) = A_p; 
    curve(k,:) =f(xx);
end

%%
figure;
yy = linspace(0,50,501);
xlim([0,50]);
ylim([0,50]);
hold on;
for k = 1:6
    plot(curve(k,1:501)',yy,'r');
end

hold off
set(gca,'Ydir','revers');
set(gca,'YTick',0:10:50, 'YTickLabel',logspace(0,5,6));
xlabel('cell position in X-axis (cell number)');
ylabel('J_0');
figname = sprintf('Fig3Eplot/Fig3E');
saveas(gca, strcat(figname,'.fig'));
saveas(gca, strcat(figname,'.png'));
