%% Plot Fig4C :: introducing noise at various time points

if ~exist('Fig4CDFplot', 'dir')
   mkdir Fig4CDFplot
end

para_lst = [0, 20, 100];
TC = size(para_lst,2);

for cont= 1:TC
    for rp = 1:20
        filename = sprintf('Fig4CDdata/Fig4CD_sig0.001eta0.000_tn%.2f_trail%d',para_lst(cont), rp);
        dataname = strcat(filename, '.mat');
        res = load(dataname);
        Za = res.results.Za;
        AW_mean = mean(Za,1);
        kymoMean(rp,:,:) = squeeze(AW_mean(1,:,:))';
    end
    kymo(cont,:,:) = mean(kymoMean,1);
end

figure;
whitered = [linspace(1,1,256); linspace(1,0.3,256); linspace(1,0.3,256)]';
colormap(whitered);

for cont= 1:TC
    subplot(1,TC,cont);
    kyplot = squeeze(kymo(cont,:,:));
    imagesc(kyplot(:,1:80));
    yticklabels = 0:10:100;
    yticks = linspace(1, size(kyplot,1), numel(yticklabels));
    set(gca,'YTick', yticks, 'YTickLabel', yticklabels);%, 'NextPlot', 'replacechildren');%, flipud(yticklabels(:))
    caxis([0,50]);
end

figname = sprintf('Fig4CDFplot/Fig4C');
saveas(gca, strcat(figname,'.fig'));
saveas(gca, strcat(figname,'.png'));
