%% Loading data
para_lst = [0, 0.00000001, 0.0000001, 0.000001, 0.00001, 0.0001, 0.001, 0.00316228, 0.01, 0.03162278, 0.1];
para_lb = ['0', '0.00000001', '0.0000001', '0.000001', '0.00001', '0.0001', '0.001', '0.00316228','0.01', '0.03162278', '0.1'];
NumPara = size(para_lst,2);

%%
for cont = 1:3
    filename = sprintf('GCdata/Dr3.60_t1_reflective_csLA_sig0.00000000eta0.00000000_400x1_trail%d',cont);
    dataname = strcat(filename,'.mat');
    res = load(dataname);
    Za0 = squeeze(res.results.Za(:,:,end));
    Zr0 = squeeze(res.results.Zr(:,:,end));
    for num = 1:NumPara %eta
        filename = sprintf('GCdata/Dr3.60_t1_reflective_csLA_sig%010.8feta%010.8f_400x1_trail%d',0,para_lst(num),cont);
        dataname = strcat(filename,'.mat');
        res = load(dataname);
        ZaEta = squeeze(res.results.Za(:,:,end));
        ZrEta = squeeze(res.results.Zr(:,:,end));
        coefA_eta(cont, num) = corr2(ZaEta, Za0);   
        coefR_eta(cont, num) = corr2(ZrEta, Zr0);
    end

    for num = 1:NumPara %sig
        filename = sprintf('GCdata/Dr3.60_t1_reflective_csLA_sig%010.8feta%010.8f_400x1_trail%d',para_lst(num),0,cont);
        dataname = strcat(filename,'.mat');
        res = load(dataname);
        ZaSig = squeeze(res.results.Za(:,:,end));
        ZrSig = squeeze(res.results.Zr(:,:,end));
        coefA_sig(cont, num) = corr2(ZaSig, Za0);   
        coefR_sig(cont, num) = corr2(ZrSig, Zr0);
    end
    
end

%% save correlation data
dataFileName = sprintf('GCdata/varNoise_CorrData_GC.mat');
save(dataFileName,'coefA_eta','coefR_eta','coefA_sig','coefR_sig');
