filename = sprintf('../Fig6D/Fig6Ddata/Fig6D_Dr003.600_GRt1.00_reflective_csLA_400x1.mat');
res = load(filename);
Za = squeeze(res.results.Za);
Zr = squeeze(res.results.Zr);

Xl = 31;
Xr = 70;
t = 600;
x = Xl:Xr;

figure;
hold on

plot(x, Za(Xl:Xr,t), '-','lineWidth',2,'Color',[1,0.3,0.3,0.3]);
plot(x, Zr(Xl:Xr,t), '-','lineWidth',2,'Color',[0.2,0.8,0.2,0.3]);
plot(x, Za(Xl:Xr,t), 'o','lineWidth',2,'Color',[1,0.3,0.3,1]);
plot(x, Zr(Xl:Xr,t), 'o','lineWidth',2,'Color',[0.2,0.8,0.2,1]);
ylabel('[A], [R]');
ylim([0,50]);

xlabel('cell number in x-axis');
title('t = 60 h');
box on;
hold off

figname = sprintf('Fig6B');
saveas(gca, strcat(figname,'.fig'));
saveas(gca, strcat(figname,'.png'));
%%
kymoA = Za';
kymoR = Zr';

figure;
whitered = [linspace(1,1,256); linspace(1,0.3,256); linspace(1,0.3,256)]';
whitegreen = [linspace(1,0.2,256); linspace(1,0.8,256); linspace(1,0.2,256)]';
whiteblue = [linspace(1,0,256); linspace(1,0.5,256); linspace(1,1,256)]';

T0 = 2000;
X0 = 200;
t = 0:500:T0;
ax1 = subplot(2,1,1);
h1 = imagesc(kymoA(1:T0,1:X0));
alpha0 = kymoA(1:T0,1:X0)>0;
set(h1, 'AlphaData', alpha0);
set(gca, 'YTick', t, 'YTickLabel', t/10)
title('[A]');
xlabel('Cell position in x');
ylabel('Time (h)');
caxis([0,50]);
colormap(ax1, whitered);
colorbar;

ax2 = subplot(2,1,2);
h2 = imagesc(kymoR(1:T0,1:X0));
set(h2, 'AlphaData', alpha0);
set(gca, 'YTick', t, 'YTickLabel', t/10)
title('[R]');
xlabel('Cell position in x');
ylabel('Time (h)');
caxis([0,50]);
colormap(ax2, whitegreen);
colorbar;

figname = sprintf('Fig6C');
saveas(gca, strcat(figname,'.fig'));
saveas(gca, strcat(figname,'.png'));