%% Plot Fig6D

if ~exist('Fig6Dplot', 'dir')
   mkdir Fig6Dplot
end

yellowcyan = [linspace(0,1,256)',linspace(1,1,256)',linspace(0,1,256)'];

GR_lst = [0.4, 0.6, 0.8, 1, 1.5, 2, 4, 8];
Dr_lst  = 3.6*[10^0, 10^0.25, 10^0.5, 10^0.75, 10^1.0, 10^1.25, 10^1.5, 10^1.75, 10^2];%, 10^1, 10^1.5, 10^2.5];
w_lst = round(5*logspace(0, log10(14),9));
[X, Y] = meshgrid(GR_lst, Dr_lst);
para_lst = [X(:), Y(:)];
NumCont = size(para_lst,1);

%%
for i = 1:size(GR_lst,2)
    for j = 1:size(Dr_lst,2)
        filename = sprintf('Fig6Ddata/Fig6D_Dr%07.3f_GRt%04.2f_reflective_csLA_400x1.mat',Dr_lst(j), GR_lst(i));
        res = load(filename);
        Dr = Dr_lst(j);
        GRt = GR_lst(i);

        Aend = squeeze(res.results.Za(:,:,end));
        A_totalcorr = xcorr(Aend,'coeff');
        A_corr = A_totalcorr((size(A_totalcorr,1)+1)/2:end);
        A_fltr = filter(gausswin(w_lst(j)),1,A_corr);
        [Acorr_maxima,Acorr_maxIdx] = findpeaks(A_fltr);
        maxID = [Acorr_maxima,Acorr_maxIdx];
        wlgth = (maxID(5,2) - maxID(1,2))/4;
        wv_mat(i,j) = wlgth;
    end
end

figure;
imagesc(wv_mat);



%%
line(repmat([1.5:1:8.5],2,1),repmat([0;9], 1, 8), 'Color', 'k'); % vertical
line(repmat([0;10], 1, 9), repmat([1.5:1:9.5],2,1), 'Color', 'k'); % horizontal
ax = gca;
ax.TickLength = [0 0];
c = summer(64);
yellowcyan = [linspace(0.9,0.9,256)',linspace(0.8,1,256)',linspace(0,1,256)'];
cyanyellow = [linspace(0.8,0.9,256)',linspace(0.9,0.8,256)',linspace(0.9,0,256)'];
colormap(cyanyellow);
colorbar;
ylabel('tissue expanding rate (\mum/h)');
xlabel('D (\mum^{2}/s)');
zlabel('wavelength (\mum)');
set(gca,'YTick',1:1:8,'YTicklabel',{'25.0', '16.7', '12.5', '10.0', '6.67', '5.00', '2.50', '1.25'});
set(gca,'XTick',1:2:9,'XTicklabel',{'0.10','0.32','1.00','3.16','10.0'});

figname = sprintf('Fig6D.fig');
saveas(gca,figname);
