%% Mov1
% RN
filename = sprintf('../Fig3ABC/Fig3ABCdata/Fig3ABC_Dr003.60_t50_reflective_RN_TI0Pos31_61x61.mat');
res = load(filename);
Za_RN = res.results.Za;
Zr_RN = res.results.Zr;

%%
whitered = [linspace(1,1,256); linspace(1,0.3,256); linspace(1,0.3,256)]';
whitegreen = [linspace(1,0.2,256); linspace(1,0.8,256); linspace(1,0.2,256)]';

% GIF_filename = sprintf('Mov1.gif');
v = VideoWriter('Movie 1','MPEG-4');
v.FrameRate = 10;
open(v);
h = figure('Renderer', 'painters', 'Position', [60 60 300 512]);
% ax = axes('Position', [0.18 0.15 0.8 0.7]);

for t = 1:10:size(Za_RN,3)
    ax1 = subplot(2,1,1);
    imagesc(Za_RN(:,:,t));
    colormap(ax1,whitered); 
    colorbar;
    caxis manual;
    caxis([0 50]);
    xlabel('cell position in x-axis (#)','fontSize',12);
    ylabel('cell position in y-axis (#)','fontSize',12);
    titlename1 = sprintf('Global random noise triggered');
    titlename2 = sprintf('[A] (nM) at t = %04.1f hour',(t-1)*0.1);
    formattedText = {strcat('\fontsize{16}',titlename1); strcat('\fontsize{12}',titlename2)};
    title(formattedText);
    
    ax2 = subplot(2,1,2);
    imagesc(Zr_RN(:,:,t));
    colormap(ax2,whitegreen); 
    colorbar;
    caxis manual;
    caxis([10 40]);
    xlabel('cell position in x-axis (#)','fontSize',12);
    ylabel('cell position in y-axis (#)','fontSize',12);
    titlename = sprintf('[R] (nM) at t = %04.1f hour',(t-1)*0.1);
    formattedText = {strcat('\fontsize{12}',titlename)};
    title(formattedText);
    
    frame = getframe(h);
    im = frame2im(frame);
    writeVideo(v,im);
%     [imind,cm] = rgb2ind(im,256,'nodither');
%     if t == 1
%         imwrite(imind,cm,GIF_filename,'gif', 'Loopcount',inf);
%     end
%     imwrite(imind,cm,GIF_filename,'gif', 'WriteMode','append'); 

end

close(v);