%% Mov2
% LA
filename = sprintf('../Fig3ABC/Fig3ABCdata/Fig3ABC_Dr003.60_t50_reflective_LA_TI0Pos31_61x61.mat');
res = load(filename);
Za_LA = res.results.Za;
Zr_LA = res.results.Zr;
% SP
filename = sprintf('../Fig3ABC/Fig3ABCdata/Fig3ABC_Dr003.60_t50_reflective_SP_TI0Pos31_61x61.mat');
res = load(filename);
Za_SP = res.results.Za;
Zr_SP = res.results.Zr;

%%
whitered = [linspace(1,1,256); linspace(1,0.3,256); linspace(1,0.3,256)]';
whitegreen = [linspace(1,0.2,256); linspace(1,0.8,256); linspace(1,0.2,256)]';

% GIF_filename = sprintf('Mov2.gif');
v = VideoWriter('Movie 2','MPEG-4');
v.FrameRate = 10;
open(v);
h = figure('Renderer', 'painters', 'Position', [60 60 660 512]);
% ax = axes('Position', [0.13 0.15 0.6 0.8]);

for t = 1:10:size(Za_LA,3)
    ax1 = subplot(2,2,1);
    imagesc(Za_LA(:,:,t));
    colormap(ax1,whitered); 
    colorbar;
    caxis manual;
    caxis([0 50]);
    xlabel('cell position in x-axis (#)','fontSize',12);
    ylabel('cell position in y-axis (#)','fontSize',12);
    titlename1 = sprintf('Line triggered');
    titlename2 = sprintf('[A] (nM) at t = %04.1f hour',(t-1)*0.1);
    formattedText = {strcat('\fontsize{16}',titlename1); strcat('\fontsize{12}',titlename2)};
    title(formattedText);
    ax3 = subplot(2,2,3);
    imagesc(Zr_LA(:,:,t));
    colormap(ax3,whitegreen); 
    colorbar;
    caxis manual;
    caxis([10 40]);
    xlabel('cell position in x-axis (#)','fontSize',12);
    ylabel('cell position in y-axis (#)','fontSize',12);
    titlename = sprintf('[R] (nM) at t = %04.1f hour',(t-1)*0.1);
    formattedText = {strcat('\fontsize{12}',titlename)};
    title(formattedText);
    
    ax2 = subplot(2,2,2);
    imagesc(Za_SP(:,:,t));
    colormap(ax2,whitered); 
    colorbar;
    caxis manual;
    caxis([0 50]);
    xlabel('cell position in x-axis (#)','fontSize',12);
    ylabel('cell position in y-axis (#)','fontSize',12);
    titlename1 = sprintf('Point triggered');
    titlename2 = sprintf('[A] (nM) at t = %04.1f hour',(t-1)*0.1);
    formattedText = {strcat('\fontsize{16}',titlename1); strcat('\fontsize{12}',titlename2)};
    title(formattedText);
    
    ax4 = subplot(2,2,4);
    imagesc(Zr_SP(:,:,t));
    colormap(ax4,whitegreen); 
    colorbar;
    caxis manual;
    caxis([10 40]);
    xlabel('cell position in x-axis (#)','fontSize',12);
    ylabel('cell position in y-axis (#)','fontSize',12);
    titlename = sprintf('[R] (nM) at t = %04.1f hour',(t-1)*0.1);
    formattedText = {strcat('\fontsize{12}',titlename)};
    title(formattedText);
    
    frame = getframe(h);
    im = frame2im(frame);
    writeVideo(v,im);
%     [imind,cm] = rgb2ind(im,256,'nodither');
%     if t == 1
%         imwrite(imind,cm,GIF_filename,'gif', 'Loopcount',inf);
%     end
%     imwrite(imind,cm,GIF_filename,'gif', 'WriteMode','append'); 

end
close(v);
