%% Plot supplementary Fig1

if ~exist('SFig1plot', 'dir')
   mkdir SFig1plot
end

whitered = [linspace(1,1,256); linspace(1,0.3,256); linspace(1,0.3,256)]';
whitegreen = [linspace(1,0.2,256); linspace(1,0.8,256); linspace(1,0.2,256)]';
whiteblue = [linspace(1,0,256); linspace(1,0.5,256); linspace(1,1,256)]';

filename = sprintf('SFig1data/SFig1_D3.00_t100_reflective_RN_61x61.mat');
res = load(filename);
Za = squeeze(res.results.Za);
figure;
imagesc(Za(:,:,end));
title('[A]');
xlabel('cell position in X-axis (cell number)');
ylabel('cell position in Y-axis (cell number)');
colormap(whitered);
caxis([0 7.5]);
colorbar;
figname = sprintf('SFig1plot/SFig1A_RN.fig');
saveas(gca,figname);

filename = sprintf('SFig1data/SFig1_D3.00_t100_reflective_SP_61x61.mat');
res = load(filename);
Za = squeeze(res.results.Za);
figure;
imagesc(Za(:,:,end));
title('[A]');
xlabel('cell position in X-axis (cell number)');
ylabel('cell position in Y-axis (cell number)');
colormap(whitered);
caxis([0 7.5]);
colorbar;
figname = sprintf('SFig1plot/SFig1A_SP.fig');
saveas(gca,figname);

filename = sprintf('SFig1data/SFig1_D3.00_t100_reflective_LA_61x61.mat');
res = load(filename);
Za = squeeze(res.results.Za);
figure;
imagesc(Za(:,:,end));
title('[A]');
xlabel('cell position in X-axis (cell number)');
ylabel('cell position in Y-axis (cell number)');
colormap(whitered);
caxis([0 7.5]);
colorbar;
figname = sprintf('SFig1plot/SFig1A_LA.fig');
saveas(gca,figname);

%%
filename = sprintf('SFig1data/SFig1_D3.00_t100_reflective_LA_61x61.mat');
res = load(filename);
Za = squeeze(res.results.Za);
Zr = squeeze(res.results.Zr);

figure;
Aw = mean(Za,1);
imagesc(squeeze(Aw)');
colormap(whitered);
colorbar;
caxis([0 7.5]);
title('[A]');
xlabel('Cell position in X-axis (cell number)');
ylabel('Time (a.u.)');
figname = sprintf('SFig1plot/SFig1B_kymograph.fig');
saveas(gca,figname);
%%
figure;
subplot(4,1,1)
imagesc(Za(:,:,1));
colormap(whitered);
caxis([0 7.5]);
subplot(4,1,2)
imagesc(Za(:,:,11));
colormap(whitered);
caxis([0 7.5]);
subplot(4,1,3)
imagesc(Za(:,:,26));
colormap(whitered);
caxis([0 7.5]);
subplot(4,1,4)
imagesc(Za(:,:,51));
colormap(whitered);
caxis([0 7.5]);
figname = sprintf('SFig1plot/SFig1B_snapshot.fig');
saveas(gca,figname);

%%
GIF_filename = sprintf('SFig1plot/SFig1.gif');
h = figure('Renderer', 'painters', 'Position', [60 60 512 512]);
ax = axes('Position', [0 0 1 1]);
f = waitbar(0,'Starting');
for t = 1:size(Za,3)
    imagesc(Za(:,:,t));
    colormap(whitered);
    frame = getframe(h);
    im = frame2im(frame); 
    [imind,cm] = rgb2ind(im,256,'nodither');
    if t == 1
        imwrite(imind,cm,GIF_filename,'gif', 'Loopcount',inf);
    end
    imwrite(imind,cm,GIF_filename,'gif', 'WriteMode','append'); 
    waitbar(t/size(Za,3),f, sprintf('Progress: %d/%d', t,size(Za,3))),
end
close(f);