%% Plot supplementary Fig2

if ~exist('SFig2plot', 'dir')
   mkdir SFig2plot
end

whitered = [linspace(1,1,256); linspace(1,0.3,256); linspace(1,0.3,256)]';

files = dir('SFig2data/SFig2*_R*.mat'); % select files with certain criteria
figure;
colormap(whitered);
for id = 1:6
    subplot(2, 6, 7-id)
    [~,f] = fileparts(files(id).name);
    filename = strcat('SFig2data/',f,'.mat');
    res = load(filename);
    cont = str2num(f(10:11));
    EndA = res.results.Za(:,:,end);
    imagesc(EndA);
    titlename = sprintf('#%d',cont);
    title(titlename);
    subplot(2, 6, id+6)
    [~,f] = fileparts(files(id+6).name);
    filename = strcat('SFig2data/',f,'.mat');
    res = load(filename);
    cont = str2num(f(10:11));
    EndA = res.results.Za(:,:,end);
    imagesc(EndA);
    titlename = sprintf('#%d',cont);
    title(titlename);
end
figname = sprintf('SFig2plot/SFig2_R.fig');
saveas(gca, figname);

files = dir('SFig2data/SFig2*_A*.mat'); % select files with certain criteria
figure;
colormap(whitered);
for id = 1:6
    subplot(2, 6, 7-id)
    [~,f] = fileparts(files(id).name);
    filename = strcat('SFig2data/',f,'.mat');
    res = load(filename);
    cont = str2num(f(10:11))-12;
    EndA = res.results.Za(:,:,end);
    imagesc(EndA);
    titlename = sprintf('#%d',cont);
    title(titlename);
    subplot(2, 6, id+6)
    [~,f] = fileparts(files(id+6).name);
    filename = strcat('SFig2data/',f,'.mat');
    res = load(filename);
    cont = str2num(f(10:11))-12;
    EndA = res.results.Za(:,:,end);
    imagesc(EndA);
    titlename = sprintf('#%d',cont);
    title(titlename);
end
figname = sprintf('SFig2plot/SFig2_A.fig');
saveas(gca, figname);