%% Plot Fig3ABC

if ~exist('Figplot', 'dir')
   mkdir Figplot
end

cmapRY = [linspace(1,1,256)',linspace(0.3,1,256)',linspace(0.3,0,256)'];%red
cmapGY =[linspace(0.2,1,256)',linspace(0.8,1,256)',linspace(0.2,0,256)'];%green
cmapBY = [linspace(0.3,1,256)',linspace(0.3,1,256)',linspace(1,0,256)'];  %blue
grayred = [linspace(0.5,1,256); linspace(0.5,0.3,256); linspace(0.5,0.3,256)]';
graygreen = [linspace(0.5,0.2,256); linspace(0.5,0.8,256); linspace(0.5,0.2,256)]';
whitered = [linspace(1,1,256); linspace(1,0.3,256); linspace(1,0.3,256)]';
whitegreen = [linspace(1,0.2,256); linspace(1,0.8,256); linspace(1,0.2,256)]';
whitepurple = [linspace(1,102/256,256); linspace(1,45/256,256); linspace(1,145/256,256)]';
cmapA = whitered;
cmapR = whitegreen;
%% Fig 3A 
% RN

filename = sprintf('220607-1520_D3.60_t200_reflective_SP_sig0.000000_eta0.000000_61x61.mat');
res = load(filename);
Za = res.results.Za;
Zr = res.results.Zr;
figure;
imagesc(Za(:,:,end));
xlabel('cell position in x-axis (#)');
ylabel('cell position in y-axis (#)');
colormap(whitered);
% caxis([19.6, 19.7]);
colorbar;
figname = sprintf('Figplot/Fig_3C1D_A');
saveas(gca, strcat(figname,'.fig'));
saveas(gca, strcat(figname,'.png'));

% %%
% figure;
% imagesc(Za(:,:,end));
% xlabel('cell position in x-axis (#)');
% ylabel('cell position in y-axis (#)');
% colormap(cmapA);
% caxis([0, 50]);
% colorbar;
% figname = sprintf('Fig3ABCplot/Fig3A_RN-A_fin');
% saveas(gca, strcat(figname,'.fig'));
% saveas(gca, strcat(figname,'.png'));
% 
% % LA
% filename = sprintf('Fig3ABCdata/Fig3ABC_Dr003.60_t50_reflective_LA_TI0Pos31_61x61.mat');
% res = load(filename);
% Za = res.results.Za;
% Zr = res.results.Zr;
% figure;
% imagesc(Zr(:,:,1));
% xlabel('cell position in x-axis (#)');
% ylabel('cell position in y-axis (#)');
% colormap(whitepurple);
% % caxis([0, 50]);
% colorbar;
% figname = sprintf('Fig3ABCplot/Fig3A_LA-R_ini');
% saveas(gca, strcat(figname,'.fig'));
% saveas(gca, strcat(figname,'.png'));
% figure;
% imagesc(Za(:,:,end));
% xlabel('cell position in x-axis (#)');
% ylabel('cell position in y-axis (#)');
% colormap(cmapA);
% caxis([0, 50]);
% colorbar;
% figname = sprintf('Fig3ABCplot/Fig3A_LA-A_fin');
% saveas(gca, strcat(figname,'.fig'));
% saveas(gca, strcat(figname,'.png'));
% 
% % SP
% filename = sprintf('Fig3ABCdata/Fig3ABC_Dr003.60_t50_reflective_SP_TI0Pos31_61x61.mat');
% res = load(filename);
% Za = res.results.Za;
% Zr = res.results.Zr;
% figure;
% imagesc(Zr(:,:,1));
% xlabel('cell position in x-axis (#)');
% ylabel('cell position in y-axis (#)');
% colormap(whitepurple);
% % caxis([0, 50]);
% colorbar;
% figname = sprintf('Fig3ABCplot/Fig3A_SP-R_ini');
% saveas(gca, strcat(figname,'.fig'));
% saveas(gca, strcat(figname,'.png'));
% figure;
% imagesc(Za(:,:,end));
% xlabel('cell position in x-axis (#)');
% ylabel('cell position in y-axis (#)');
% colormap(cmapA);
% caxis([0, 50]);
% colorbar;
% figname = sprintf('Fig3ABCplot/Fig3A_SP-A_fin');
% saveas(gca, strcat(figname,'.fig'));
% saveas(gca, strcat(figname,'.png'));
% 
% %% Fig 3C
% filename = sprintf('Fig3ABCdata/Fig3ABC_Dr003.60_t50_reflective_LA_TI0Pos31_61x61.mat');
% res = load(filename);
% Za = res.results.Za;
% Zr = res.results.Zr;
% xx =1:1:61;
% 
% figure;
% hold on
% plot(xx,Za(50,:,end),'o','lineWidth',2,'Color',[1,0.3,0.3]);
% plot(xx,-Zr(50,:,end),'o','lineWidth',2,'Color',[0.2,0.8,0.2]);
% bar(Za(50,:,end),0.8,'FaceColor',[1,0.3,0.3],'EdgeColor','none','FaceAlpha',0.2);
% bar(-Zr(50,:,end),0.8,'FaceColor',[0.2,0.8,0.2],'EdgeColor','none','FaceAlpha',0.2);
% hold off
% xlabel('cell position in x-axis (#)')
% ylabel('[A], [R]');
% xlim([1,61]);
% figname = sprintf('Fig3ABCplot/Fig3C_LA-sideview_barplot');
% saveas(gca, strcat(figname,'.fig'));
% saveas(gca, strcat(figname,'.png'));
% 
% %% Fig 3B
% figure;
% filename = sprintf('Fig3ABCdata/Fig3ABC_Dr003.60_t50_reflective_LA_TI0Pos31_61x61.mat');
% res = load(filename);
% Za = res.results.Za;
% Zr = res.results.Zr;
% xx =1:1:61;
% tt = 1:10:300;
% ZR50 = squeeze(Zr(50,:,1:10:300));
% surface(ZR50,'EdgeColor','k','LineWidth',0.3,'FaceAlpha',0.8);%'EdgeColor','none','interp'
% colormap(cmapR);
% colorbar;
% xlabel('time (hour)')
% ylabel('cell position in x-axis (#)');
% ylim([1,61]);
% zlabel('[R] (nM)')
% figname = sprintf('Fig3ABCplot/Fig3B_LA-R-dynamics');
% saveas(gca, strcat(figname,'.fig'));
% saveas(gca, strcat(figname,'.png'));