
paramsModel.a_A = 100;%100;%20000;
paramsModel.a_R = 80;%100;%20000;
paramsModel.a_M = 80;%80;%16000;

paramsModel.r_A = 0.4;%0.5; 
paramsModel.r_R = 0.6;%0.5;
paramsModel.r_M = 0.6;

paramsModel.D = 12;%12.0;
paramsModel.K1 = 10;
paramsModel.K2 = 10;%10000;
paramsModel.H1 = 2;
paramsModel.H2 = 1.5;

%%
a_A = paramsModel.a_A;
a_M = paramsModel.a_M;
a_R = paramsModel.a_R;

r_A = paramsModel.r_A; 
r_R = paramsModel.r_R;
r_M = paramsModel.r_M;

K1 = paramsModel.K1;
K2 = paramsModel.K2;

D = paramsModel.D;

H1 = paramsModel.H1;
H2 = paramsModel.H2;
%%
A0 = a_A/r_A;%a_p / c_p;
R0 = a_R/r_R;
M0 = a_M/r_M;

tspan = [0 10000];
y0 = [A0 R0 M0];
[t, y] = ode15s(@(t, y)preSol(t, y, paramsModel), tspan, y0, paramsModel);
yPre = [y(end,1), y(end,2), y(end,3)]
ddt = [a_A * (yPre(1)^H1 + 1)/(yPre(1)^H1 + yPre(2)^H1 + 1 + K1.^H1) - r_A * yPre(1); ...
    a_R * (yPre(3)^H2 + 1)/(yPre(3)^H2 + K2^H2 + 1) - r_R * yPre(2); ...
    a_M * (yPre(1)^H1 + 1)/(yPre(1)^H1 + yPre(2)^H1 + 1 + K1.^H1) - r_M * yPre(3);]

%%
syms A R M
dAdt = a_A * (A^H1 + 1)/(A^H1 + R^H1 + K1^H1 + 1) - r_A * A;
dRdt = a_R * (M^H2 + 1)/(M^H2 + K2^H2 + 1) - r_R * R;
dMdt = a_M * (A^H1 + 1)/(A^H1 + R^H1 + K1^H1 +1) - r_M * M;
a = jacobian([dAdt;dRdt;dMdt],[A,R,M]);
J = double(subs(a,[A,R,M],yPre))
% J = double(subs(a,[A,R,M],results.yPre))
for k = 0:100
    Jk = J - D*[0,0,0;0,0,0;0,0,k^2];
    mre(k+1) = max(real(eig(Jk)));
end

figure
plot(mre);

%%
function dydt = preSol(t, y, paramsModel)
    a_A = paramsModel.a_A;
    a_R = paramsModel.a_R;
    a_M = paramsModel.a_M;
    
    r_A = paramsModel.r_A; 
    r_R = paramsModel.r_R; 
    r_M = paramsModel.r_M;
    
    K1 = paramsModel.K1;
    K2 = paramsModel.K2;
      
    H1 = paramsModel.H1;
    H2 = paramsModel.H2;
    dydt = [a_A * (y(1)^H1 + 1)/(y(1)^H1 + y(2)^H1 + 1 + K1.^H1) - r_A * y(1); ...
        a_R * (y(3)^H2 + 1)/(y(3)^H2 + K2^H2 + 1) - r_R * y(2); ...
        a_M * (y(1)^H1 + 1)/(y(1)^H1 + y(2)^H1 + 1 + K1.^H1) - r_M * y(3);];
end