%Generate cis and trans matrix for Q and S under various boundary conditions 
function [trans, Q, S] = gen_QS(paramsSys) 
    disp('Generate Q matrix and S matrix...')
    tic
    % bdryCond = 'reflective';
    % bdryCond = 'periodic';
    bdryCond = paramsSys.bdryType;
    L = paramsSys.L; 
    W = paramsSys.W;
    l = 2 * L;
    w = 2 * W;
    N = l * w;
    filename = sprintf('QSmat_%s_%dx%d.mat',bdryCond,l,w);
    % cis = sparse(eye(paramsSys.N));
    % Trans_mtx = load('trans_mtx_50x50_reflective.mat');
    % trans = Trans_mtx.trans;
    % A = sparse([cis(:,paramsSys.N) cis(:, 1:paramsSys.N-1)]);
    % trans = sparse(A + A.' + A^(2*paramsSys.L) + (A.')^(2*paramsSys.L));
    % Q = sparse(-4 * cis + trans);
    % D_self = [1 1; 1 1];
    % D_neig = [0 0; 0 1];
    % S = sparse(kron(cis, D_self) + kron(trans, D_neig));

    trans = spalloc(N,N,4*N);
    cis = sparse(eye(N))*(-4);
    if strcmp(bdryCond,'Twist-periodic')
        I = sparse(eye(N));
        A = sparse([I(:,N) I(:, 1:N-1)]);
        trans = sparse(A + A.' + A^w + (A.')^w);
    else
        for k = 1:1:N
            i = floor((k-1)/w);
            j = mod(k-1, w);
            lf = i * w + mod(j-1, w) + 1;
            rt = i * w + mod(j+1, w) + 1;
            up = mod(i-1, l)* w + j + 1;
            dn = mod(i+1, l)* w + j + 1;
            trans = trans + sparse([k k k k],[up dn lf rt],[1 1 1 1], N, N);
        end
        if strcmp(bdryCond, 'reflective')
            for k = 1:1:w % up & dn
                up = (l - 1) * w + k;
                trans = trans + sparse([k w*(l-1)+k],[w*(l-1)+k k],[-1 -1], N, N);
                cis = cis + sparse([k w*(l-1)+k],[k w*(l-1)+k],[1 1], N, N);
            end
            for k = 1:1:l % lf & rt
                lf = i * w + mod(j-1, w) + 1;
                trans = trans + sparse([(k-1)*w+1 k*w],[k*w (k-1)*w+1],[-1 -1], N, N);
                cis = cis + sparse([(k-1)*w+1 k*w],[(k-1)*w+1 k*w],[1 1], N, N);
            end
        end
    end
    trans = sparse(trans);
    cis = sparse(cis);
    % Calculate Q and S
    Q = sparse(cis + trans);
    D_self = [1 1 0; 0 1 1; 1 1 1];
    D_neig = [0 0 0; 0 0 0; 0 0 1];
    S = sparse(kron(sparse(eye(N)), D_self) + kron(trans, D_neig));
    save(filename, 'trans','Q','S')
%     clear all
    toc
end