%% DispersionCurve (0720)
% Edit from 200502/SSAfor2C1Nand2C1N1D/2C1D
% calculate the dispersion curve for the SMRD paper 2C2D/2C1D with
% Twist-periodic boundary conditions

clc
clear
                     % Half-Size of cell population
paramsSys.w = 100;
whiteorange = [linspace(1,247/255,256);linspace(1,148/255,256);linspace(1,29/255,256)]';
%% Model parameters
paras = [100, 80, 1.5, 0.5, 10, 10, 10, 2, 0.36, 3.6];
sc_para= 101;
sc_Da = 39;
var_kernel = 10.^(linspace(-0.5,0.5,sc_para));
varDa = [0, 10.^(linspace(-2,1, sc_Da))];
[XX,YY] = meshgrid(var_kernel,varDa);
var_lst = [XX(:),YY(:)];
N = size(var_lst,1);
%%
for n = 1:8
    para_scale = ones(N,10);
    para_scale(:,n) = var_lst(:,1);
    para_scale(:,9) = var_lst(:,2);
    para_lst = para_scale .*paras;

    tic
    ssa_lst = zeros(N,3);
    parfor cont = 1:N
         results = SSA_SMRD(paramsSys, para_lst(cont,:));
         ssa_lst(cont,:) = results;
    end
    toc

    figure;
    
    ssa_mat = reshape(ssa_lst(:,3), [],sc_para);
    imagesc(ssa_mat);
    colormap(whiteorange);

    figname = sprintf('para%d',n);
    saveas(gca, strcat(figname,'.fig'));
    saveas(gca, strcat(figname,'.png'));
end

