%% Loading data
whitered = [linspace(1,1,256); linspace(1,0.3,256); linspace(1,0.3,256)]';
whitegreen = [linspace(1,0.2,256); linspace(1,0.8,256); linspace(1,0.2,256)]';
bluewhite = [linspace(0.3,1,256); linspace(0.3,1,256); linspace(1,1,256)]';
cmap = [bluewhite; whitered];
N = 101;
L = (N-1)/2;
paraName = 'H';
n = 8;
paramsModel.var_kernel = 10.^linspace(-0.5,0.5,N);
%%
filename = sprintf('Figdata/singleParaScan_%s%d_Dr003.60_t200_reflective_LA_TI-1Pos1_1x40',paraName, ceil(N/2));
dataname = strcat(filename,'.mat');
res = load(dataname);
ZaPre0 = res.results.yPre(1);
ZrPre0 = res.results.yPre(2);
Za0 = squeeze(res.results.Za(:,:,end));
Zr0 = squeeze(res.results.Zr(:,:,end));
Zasc = Za0;
Zrsc = Zr0;
for cont = 1:size(paramsModel.var_kernel,2)
    filename = sprintf('Figdata/singleParaScan_%s%d_Dr003.60_t200_reflective_LA_TI-1Pos1_1x40',paraName, cont);
    dataname = strcat(filename,'.mat');
    res = load(dataname);
    ZaPre = res.results.yPre(1);
    ZrPre = res.results.yPre(2);
    ZaEnd = squeeze(res.results.Za(:,:,end));
    ZrEnd = squeeze(res.results.Zr(:,:,end));
%     coefA(cont) = corr2(ZaEnd, Za0);   
%     coefR(cont) = corr2(ZrEnd, Zr0);
    Zasc = [Zasc;ZaEnd];
    Zrsc = [Zrsc;ZrEnd];
end
Zasc = Zasc(2:end,:);%-smo_ZaIni;
Zrsc = Zrsc(2:end,:);%-smo_ZrIni;
%%
paras = [100, 80, 1.5, 0.5, 10, 10, 10, 2, 0.36, 3.6];
para_scale = ones(N,10);
para_scale(:,n) = paramsModel.var_kernel;
para_lst = para_scale .*paras;
paramsSys.w = 100;
tic
ssa_lst = zeros(N,6);
parfor cont = 1:N
     results = SSA_SMRD(paramsSys, para_lst(cont,:));
     ssa_lst(cont,:) = results;
end
toc

%% 
figure;

subplot(3,1,1)
hold on
plot(ssa_lst(:,1)+0.1,'b.');
plot(ssa_lst(:,2)-0.1,'r.');
plot(ssa_lst(:,3),'g.');
hold off
xlim([1 N]);
ylim([-1 2]);
colorbar;

h1 = subplot(3,1,2);
% imagesc(log10(Zasc)');
imagesc(Zasc');
set(gca, 'XTick', 1:L:N,'XTickLabel', -L:L:L);
colormap(h1, whitered);
% caxis([-1,1]);
colorbar;

h2 = subplot(3,1,3);
% imagesc(log10(Zrsc)');
imagesc(Zrsc');
set(gca, 'XTick', 1:L:N,'XTickLabel', -L:L:L);
colormap(h2, whitegreen);
% caxis([-1,1]);
colorbar;


%%
% figure;
% plot_lst = [5, 25, 51, 66, 80, 95];
% % plot_lst = 65:70;
% 
% for cont = 1:6
%     filename = sprintf('Figdata/singleParaScan_%s%d_Dr003.60_t200_reflective_LA_TI-1Pos1_1x40',paraName, plot_lst(cont));
%     dataname = strcat(filename,'.mat');
%     res = load(dataname);
%     ZaPre0 = res.results.yPre(1);
%     ZrPre0 = res.results.yPre(2);
%     KymoZa = squeeze(res.results.Za);
%     KymoZr = squeeze(res.results.Zr);
%     
%     subplot(2,3,cont);
%     % imagesc(log10(Zasc)');
%     imagesc(KymoZa');
%     % set(gca, 'XTick', 1:L:N,'XTickLabel', -L:L:L);
%     colormap(whitered);
%     caxis([0,50]);
%     colorbar;
% 
% end



