%% DispersionCurve (0720)
% Edit from 200502/SSAfor2C1Nand2C1N1D/2C1D
% calculate the dispersion curve for the SMRD paper 2C2D/2C1D with
% Twist-periodic boundary conditions

clc
clear
                     % Half-Size of cell population
paramsSys.w = 100;

%% Model parameters
paras = [100, 80, 1.5, 0.5, 10, 10, 10, 2, 0.36, 3.6];
N = 101;
var_kernel = 10.^(linspace(-0.5,0.5,N));

for n = 4:4
    para_scale = ones(N,10);
    para_scale(:,n) = var_kernel;
    para_lst = para_scale .*paras;

    tic
    ssa_lst = zeros(N,6);
    parfor cont = 1:N
         results = SSA_SMRD(paramsSys, para_lst(cont,:));
         ssa_lst(cont,:) = results;
    end
    toc

    figure;
    subplot(2,1,1)
    hold on
    plot(ssa_lst(:,1)+0.1,'b.');
    plot(ssa_lst(:,2)-0.1,'r.');
    plot(ssa_lst(:,3),'g.');
    hold off
    xlim([1 N]);
    ylim([-1 2]);
    subplot(2,1,2)
    hold on
    plot(ssa_lst(:,4)+0.1,'b.');
    plot(ssa_lst(:,5)-0.1,'r.');
    plot(ssa_lst(:,6),'g.');
    hold off
    xlim([1 N]);
    ylim([-1 2]);
    figname = sprintf('Figplot2/para%d',n);
    saveas(gca, strcat(figname,'.fig'));
    saveas(gca, strcat(figname,'.png'));
end
% [aA, aR, gA, gR] = ndgrid(var_kernel);
% var_lst = [aA(:), aR(:), gA(:), gR(:)];
% n = size(var_lst,1);
% para_lst = [10.^var_lst, ones(n,6)].* paras;


%%
% tic
% ssa_lst = zeros(n,2);
% parfor cont = 1:n
%      results = SSA_SMRD(paramsSys, para_lst(cont,:));
%      ssa_lst(cont,:) = results;
% end
% toc
% sum(ssa_lst)/n
% %%
% rd_para_lst = log10(para_lst(ssa_lst(:,1) ==1,:)./paras);
% 
% filename = sprintf('10x_21pts_4D_grid.mat');
% save(filename,'para_lst','ssa_lst');

