
if ~exist('Figplot', 'dir')
   mkdir Figplot
end
L = 30;%paramsSys.L; 
W = 30;%paramsSys.W;
N = 3600;%paramsSys.N;
whitered = [linspace(1,1,256); linspace(1,0.3,256); linspace(1,0.3,256)]';
whitegreen = [linspace(1,0.2,256); linspace(1,0.8,256); linspace(1,0.2,256)]';
whitepurple = [linspace(1,102/256,256); linspace(1,45/256,256); linspace(1,145/256,256)]';

filename = sprintf('Figdata/Fig_Dr003.60_t50_periodic_LA-v_TI0Pos30_60x60.mat');
res = load(filename);
allR = res.results.y(:,2:2:end);

%% Initial frame
h = figure;
X = [];
Y = [];
for j = 1:2*W
    for i = 1:2*L
        ind = i + (j-1)*2*L;
        c = [1,1,1];
        s32 = sqrt(3)/4;
        j0 = j*3/4;
        i0 = i*2*s32;

        if j/2 == round(j/2)
           i0 = i0+s32;
        end

        x(1) = j0-.5;
        x(2) = j0-.25;
        x(3) = j0+.25;
        x(4) = j0+.5;
        x(5) = j0+.25;
        x(6) = j0-.25;

        y(1) = i0+0;
        y(2) = i0+s32;
        y(3) = i0+s32; 
        y(4) = i0;
        y(5) = i0-s32;
        y(6) = i0-s32;

        X = [X; x];
        Y = [Y; y];
        patch(x,y,c);
    end
end
colormap(whitepurple);
xlim([0,46]);
ylim([0,53]);
axis off
colorbar

data = allR(1,:);
for ind = 1:N
    c = data(ind);
    patch(X(ind,:),Y(ind,:),c);
end
frame = getframe(h);
im = frame2im(frame);
figname = sprintf('Figplot/Fig_LA-v-R_ini');
saveas(gca, strcat(figname,'.fig'));
saveas(gca, strcat(figname,'.png'));
close all;

%% end frame
h = figure;
X = [];
Y = [];
for j = 1:2*W
    for i = 1:2*L
        ind = i + (j-1)*2*L;
        c = [1,1,1];
        s32 = sqrt(3)/4;
        j0 = j*3/4;
        i0 = i*2*s32;

        if j/2 == round(j/2)
           i0 = i0+s32;
        end

        x(1) = j0-.5;
        x(2) = j0-.25;
        x(3) = j0+.25;
        x(4) = j0+.5;
        x(5) = j0+.25;
        x(6) = j0-.25;

        y(1) = i0+0;
        y(2) = i0+s32;
        y(3) = i0+s32; 
        y(4) = i0;
        y(5) = i0-s32;
        y(6) = i0-s32;

        X = [X; x];
        Y = [Y; y];
        patch(x,y,c);
    end
end
colormap(whitegreen);
xlim([0,46]);
ylim([0,53]);
axis off
colorbar

data = allR(end,:);
for ind = 1:N
    c = data(ind);
    patch(X(ind,:),Y(ind,:),c);
end
frame = getframe(h);
im = frame2im(frame);
figname = sprintf('Figplot/Fig_LA-v-R_fin');
saveas(gca, strcat(figname,'.fig'));
saveas(gca, strcat(figname,'.png'));