%% Plot Fig3ABC

if ~exist('Figplot', 'dir')
   mkdir Figplot
end

cmapRY = [linspace(1,1,256)',linspace(0.3,1,256)',linspace(0.3,0,256)'];%red
cmapGY =[linspace(0.2,1,256)',linspace(0.8,1,256)',linspace(0.2,0,256)'];%green
cmapBY = [linspace(0.3,1,256)',linspace(0.3,1,256)',linspace(1,0,256)'];  %blue
grayred = [linspace(0.5,1,256); linspace(0.5,0.3,256); linspace(0.5,0.3,256)]';
graygreen = [linspace(0.5,0.2,256); linspace(0.5,0.8,256); linspace(0.5,0.2,256)]';
whitered = [linspace(1,1,256); linspace(1,0.3,256); linspace(1,0.3,256)]';
whitegreen = [linspace(1,0.2,256); linspace(1,0.8,256); linspace(1,0.2,256)]';
whitepurple = [linspace(1,102/256,256); linspace(1,45/256,256); linspace(1,145/256,256)]';
cmapA = whitered;
cmapR = whitegreen;
%% Fig 3A 
% SP

filename = sprintf('Figdata/Fig_Dr003.60_t50_reflective_SP_TI0Pos32_3x1_63x63.mat');
res = load(filename);
Zr = res.results.Zr;
figure;
imagesc(Zr(:,:,end));
xlabel('cell position in x-axis (#)');
ylabel('cell position in y-axis (#)');
colormap(cmapR);
% caxis([0, 50]);
colorbar;
figname = sprintf('Figplot/Fig_SP_3x1_fin');
saveas(gca, strcat(figname,'.fig'));
saveas(gca, strcat(figname,'.png'));

%%
% LA
filename = sprintf('Figdata/Fig_Dr003.60_t50_reflective_LA-v_TI0Pos32_3x1_63x63.mat');
res = load(filename);
Zr = res.results.Zr;
figure;
imagesc(Zr(:,:,end));
xlabel('cell position in x-axis (#)');
ylabel('cell position in y-axis (#)');
colormap(cmapR);
% caxis([0, 50]);
colorbar;
figname = sprintf('Figplot/Fig_LA-v_3x1_fin');
saveas(gca, strcat(figname,'.fig'));
saveas(gca, strcat(figname,'.png'));

filename = sprintf('Figdata/Fig_Dr003.60_t50_reflective_LA-h_TI0Pos32_3x1_63x63.mat');
res = load(filename);
Zr = res.results.Zr;
figure;
imagesc(Zr(:,:,end));
xlabel('cell position in x-axis (#)');
ylabel('cell position in y-axis (#)');
colormap(cmapR);
% caxis([0, 50]);
colorbar;
figname = sprintf('Figplot/Fig_LA-h_3x1_fin');
saveas(gca, strcat(figname,'.fig'));
saveas(gca, strcat(figname,'.png'));

%%
% LA
filename = sprintf('Figdata/Fig_Dr003.60_t50_reflective_LA-v_TI0Pos31_2x1_62x62.mat');
res = load(filename);
Zr = res.results.Zr;
figure;
imagesc(Zr(:,:,end));
xlabel('cell position in x-axis (#)');
ylabel('cell position in y-axis (#)');
colormap(cmapR);
% caxis([0, 50]);
colorbar;
figname = sprintf('Figplot/Fig_LA-v_2x1_fin');
saveas(gca, strcat(figname,'.fig'));
saveas(gca, strcat(figname,'.png'));

filename = sprintf('Figdata/Fig_Dr003.60_t50_reflective_LA-h_TI0Pos31_2x1_62x62.mat');
res = load(filename);
Zr = res.results.Zr;
figure;
imagesc(Zr(:,:,end));
xlabel('cell position in x-axis (#)');
ylabel('cell position in y-axis (#)');
colormap(cmapR);
% caxis([0, 50]);
colorbar;
figname = sprintf('Figplot/Fig_LA-h_2x1_fin');
saveas(gca, strcat(figname,'.fig'));
saveas(gca, strcat(figname,'.png'));
