%% Plot Fig3ABC

if ~exist('Figplot', 'dir')
   mkdir Figplot
end

cmapRY = [linspace(1,1,256)',linspace(0.3,1,256)',linspace(0.3,0,256)'];%red
cmapGY =[linspace(0.2,1,256)',linspace(0.8,1,256)',linspace(0.2,0,256)'];%green
cmapBY = [linspace(0.3,1,256)',linspace(0.3,1,256)',linspace(1,0,256)'];  %blue
grayred = [linspace(0.5,1,256); linspace(0.5,0.3,256); linspace(0.5,0.3,256)]';
graygreen = [linspace(0.5,0.2,256); linspace(0.5,0.8,256); linspace(0.5,0.2,256)]';
whitered = [linspace(1,1,256); linspace(1,0.3,256); linspace(1,0.3,256)]';
whitegreen = [linspace(1,0.2,256); linspace(1,0.8,256); linspace(1,0.2,256)]';
whitepurple = [linspace(1,102/256,256); linspace(1,45/256,256); linspace(1,145/256,256)]';
cmapA = whitered;
cmapR = whitegreen;
%% Fig 0D 

filename = sprintf('Figdata/Fig_Dr003.60_t50_reflective_SP_TI0Pos13_25x25x25.mat');
figname = sprintf('Figplot/Fig_3D_SP_ini');
res = load(filename);
ZaEnd = res.results.Zr(:,:,:,1);
ZaEnd(ZaEnd<20) = 0; 
ZaEnd(ZaEnd>20) = 1; 
ZaEnd = ZaEnd(1:13,:,:);
idx = (ZaEnd > 0);
figure;
[X,Y,Z] = meshgrid(1:25,1:13, 1:25);
axis([1 25 1 25 1 25]);
s = isosurface(X, Y, Z, ZaEnd, 0.0001);
c = isocaps(X, Y, Z, ZaEnd, 0.0001);
ps = patch(s);
pc = patch(c);
set(ps, 'FaceColor',[0.8, 0.8, 1], 'EdgeColor','none', ...
    'FaceAlpha',1);
set(pc, 'FaceColor',[0.8, 0.8, 1], 'EdgeColor','none', ...
    'FaceAlpha',1);
xlabel('x');
ylabel('y');
zlabel('z');
camlight;
lighting gouraud

saveas(gca, strcat(figname,'.fig'));
saveas(gca, strcat(figname,'.png'));

%% Fig 1D 

filename = sprintf('Figdata/Fig_Dr003.60_t50_reflective_LA_TI0Pos13_25x25x25.mat');
figname = sprintf('Figplot/Fig_3D_LA_ini');
res = load(filename);
ZaEnd = res.results.Zr(:,:,:,1);
ZaEnd(ZaEnd<20) = 0; 
ZaEnd(ZaEnd>20) = 1; 
idx = (ZaEnd > 0);
figure;
[X,Y,Z] = meshgrid(1:size(ZaEnd,1));
axis([1 25 1 25 1 25]);
s = isosurface(X, Y, Z, ZaEnd, 0.01);
c = isocaps(X, Y, Z, ZaEnd, 0.01);
ps = patch(s);
pc = patch(c);
set(ps, 'FaceColor',[0.8, 0.8, 1], 'EdgeColor','none', ...
    'FaceAlpha',1);
set(pc, 'FaceColor',[0.8, 0.8, 1], 'EdgeColor','none', ...
    'FaceAlpha',1);
xlabel('x');
ylabel('y');
zlabel('z');
camlight;
lighting gouraud

saveas(gca, strcat(figname,'.fig'));
saveas(gca, strcat(figname,'.png'));

%% Fig 2D 

filename = sprintf('Figdata/Fig_Dr003.60_t50_reflective_SA_TI0Pos13_25x25x25.mat');
figname = sprintf('Figplot/Fig_3D_SA_ini');
res = load(filename);
ZaEnd = res.results.Zr(:,:,:,1);
ZaEnd(ZaEnd<20) = 0; 
ZaEnd(ZaEnd>20) = 1; 
idx = (ZaEnd > 0);
figure;
[X,Y,Z] = meshgrid(1:size(ZaEnd,1));
axis([1 25 1 25 1 25]);
s = isosurface(X, Y, Z, ZaEnd, 0.01);
c = isocaps(X, Y, Z, ZaEnd, 0.01);
ps = patch(s);
pc = patch(c);
set(ps, 'FaceColor',[0.8, 0.8, 1], 'EdgeColor','none', ...
    'FaceAlpha',1);
set(pc, 'FaceColor',[0.8, 0.8, 1], 'EdgeColor','none', ...
    'FaceAlpha',1);
xlabel('x');
ylabel('y');
zlabel('z');
camlight;
lighting gouraud

saveas(gca, strcat(figname,'.fig'));
saveas(gca, strcat(figname,'.png'));

%% Fig 0D 

filename = sprintf('Figdata/Fig_Dr003.60_t50_reflective_SP_TI0Pos13_25x25x25.mat');
figname = sprintf('Figplot/Fig_3D_SP');
res = load(filename);
ZaEnd = res.results.Za(:,:,:,end);
ZaEnd(ZaEnd<1) = 0; 
ZaEnd(ZaEnd>1) = 1; 
ZaEnd = ZaEnd(1:13,:,:);
idx = (ZaEnd > 0);
figure;
[X,Y,Z] = meshgrid(1:25,1:13, 1:25);
axis([1 25 1 25 1 25]);
s = isosurface(X, Y, Z, ZaEnd, 0.0001);
c = isocaps(X, Y, Z, ZaEnd, 0.0001);
ps = patch(s);
pc = patch(c);
set(ps, 'FaceColor',[1, 0.8, 0.8], 'EdgeColor','none', ...
    'FaceAlpha',1);
set(pc, 'FaceColor',[1, 0.8, 0.8], 'EdgeColor','none', ...
    'FaceAlpha',1);
xlabel('x');
ylabel('y');
zlabel('z');
camlight;
lighting gouraud

saveas(gca, strcat(figname,'.fig'));
saveas(gca, strcat(figname,'.png'));

%% Fig 1D 

filename = sprintf('Figdata/Fig_Dr003.60_t50_reflective_LA_TI0Pos13_25x25x25.mat');
figname = sprintf('Figplot/Fig_3D_LA');
res = load(filename);
ZaEnd = res.results.Za(:,:,:,end);
ZaEnd(ZaEnd<1) = 0; 
ZaEnd(ZaEnd>1) = 1; 
idx = (ZaEnd > 0);
figure;
[X,Y,Z] = meshgrid(1:size(ZaEnd,1));
axis([1 25 1 25 1 25]);
s = isosurface(X, Y, Z, ZaEnd, 0.01);
c = isocaps(X, Y, Z, ZaEnd, 0.01);
ps = patch(s);
pc = patch(c);
set(ps, 'FaceColor',[1, 0.8, 0.8], 'EdgeColor','none', ...
    'FaceAlpha',1);
set(pc, 'FaceColor',[1, 0.8, 0.8], 'EdgeColor','none', ...
    'FaceAlpha',1);
xlabel('x');
ylabel('y');
zlabel('z');
camlight;
lighting gouraud

saveas(gca, strcat(figname,'.fig'));
saveas(gca, strcat(figname,'.png'));

%% Fig 2D 

filename = sprintf('Figdata/Fig_Dr003.60_t50_reflective_SA_TI0Pos13_25x25x25.mat');
figname = sprintf('Figplot/Fig_3D_SA');
res = load(filename);
ZaEnd = res.results.Za(:,:,:,end);
ZaEnd(ZaEnd<1) = 0; 
ZaEnd(ZaEnd>1) = 1; 
idx = (ZaEnd > 0);
figure;
[X,Y,Z] = meshgrid(1:size(ZaEnd,1));
axis([1 25 1 25 1 25]);
s = isosurface(X, Y, Z, ZaEnd, 0.01);
c = isocaps(X, Y, Z, ZaEnd, 0.01);
ps = patch(s);
pc = patch(c);
set(ps, 'FaceColor',[1, 0.8, 0.8], 'EdgeColor','none', ...
    'FaceAlpha',1);
set(pc, 'FaceColor',[1, 0.8, 0.8], 'EdgeColor','none', ...
    'FaceAlpha',1);
xlabel('x');
ylabel('y');
zlabel('z');
camlight;
lighting gouraud

saveas(gca, strcat(figname,'.fig'));
saveas(gca, strcat(figname,'.png'));


%% Fig 0D projection view

filename = sprintf('Figdata/Fig_Dr003.60_t50_reflective_SP_TI0Pos13_25x25x25.mat');
figname = sprintf('Figplot/Fig_3D_SP');
res = load(filename);
ZaEnd = res.results.Za(:,:,:,end);
ZaEnd(ZaEnd<1) = 0; 
ZaEnd(ZaEnd>1) = 1; 

dist = zeros(25,25,25);
for i = 1:25
    for j = 1:25
        for k = 1:25
            dist(i,j,k) = sqrt((i-13)^2 + (j-13)^2 + (k-13)^2);
        end
    end
end

ZaEndclr = ZaEnd.*dist;
whitered = [linspace(1,1,256); linspace(1,0.3,256); linspace(1,0.3,256)]';
cmapA = [1,1,1;ones(4,3).*[1,0.3,0.3];ones(6,3).*[1,0.5,0.4]; ...
    ones(6,3).*[1,0.7,0.5];ones(4,3).*[1,0.9,0.6];];
% figure;
% imagesc(dist(:,:,13));
% %%
figure;
colormap(cmapA)
subplot(1,3,1)
imagesc(ZaEndclr(:,:,5));
caxis([0,20]);
subplot(1,3,2)
imagesc(ZaEndclr(:,:,9));
caxis([0,20]);
subplot(1,3,3)
imagesc(ZaEndclr(:,:,13));
caxis([0,20]);