%% Plot SFig6

if ~exist('Figplot', 'dir')
   mkdir Figplot
end


whitered = [linspace(1,1,256); linspace(1,0.3,256); linspace(1,0.3,256)]';
KT_lst = [1, 2.25, 2.75, 3.25, 3.75, 4.25, 5];


%%
for i = 1:size(KT_lst,2)

    filename = sprintf('IRdata/InhRel_KT%04.2f_1x100.mat', KT_lst(i));
    res = load(filename);

    kymoA = squeeze(res.results.Za)';
    figure;
    imagesc(kymoA);
    colormap(whitered);
    caxis([0,50])
    figname = sprintf('Figplot/Fig_KT%04.2f_1x100_fin',KT_lst(i));
    saveas(gca, strcat(figname,'.fig'));
    saveas(gca, strcat(figname,'.svg'));
end
