%% Loading data
% para_lst = [0, 0.00000001, 0.0000001, 0.000001, 0.00001, 0.0001, 0.001, 0.00316228, 0.01, 0.03162278, 0.1];
% para_lb = ['0', '0.00000001', '0.0000001', '0.000001', '0.00001', '0.0001', '0.001', '0.00316228','0.01', '0.03162278', '0.1'];
% NumPara = size(para_lst,2);
noiselevel = [1e-6, 1e-5, 1e-4, 1e-3, 1e-2, 1e-1];
[XX, YY] = meshgrid(noiselevel);
para_set = [XX(:),YY(:)]';
para_lst = para_set;
NumPara = size(para_lst,2);
%%
for cont = 1:3
    filename = sprintf('GCdata/Dr3.60_t1_reflective_csLA_sig0.00000000eta0.00000000_100x1_trail%d',cont);
    dataname = strcat(filename,'.mat');
    res = load(dataname);
    Za0 = squeeze(res.results.Za(:,:,end));
    Zr0 = squeeze(res.results.Zr(:,:,end));
    for num = 1:NumPara %eta
        filename = sprintf('GCdata/Dr3.60_t1_reflective_csLA_sig%010.8feta%010.8f_100x1_trail%d',para_lst(1,num),para_lst(2,num),cont);
        dataname = strcat(filename,'.mat');
        res = load(dataname);
        ZaEnd = squeeze(res.results.Za(:,:,end));
        ZrEnd = squeeze(res.results.Zr(:,:,end));
        coefA(cont, num) = corr2(ZaEnd, Za0);   
        coefR(cont, num) = corr2(ZrEnd, Zr0);
    end

%     for num = 1:NumPara %sig
%         filename = sprintf('GCdata/Dr3.60_t1_reflective_csLA_sig%010.8feta%010.8f_400x1_trail%d',para_lst(num),0,cont);
%         dataname = strcat(filename,'.mat');
%         res = load(dataname);
%         ZaSig = squeeze(res.results.Za(:,:,end));
%         ZrSig = squeeze(res.results.Zr(:,:,end));
%         coefA_sig(cont, num) = corr2(ZaSig, Za0);   
%         coefR_sig(cont, num) = corr2(ZrSig, Zr0);
%     end
    
end

%% save correlation data
dataFileName = sprintf('GCdata/varNoise_CorrData_GC.mat');
save(dataFileName,'coefA','coefR');
%%
mean_cA = mean(coefA);
std_cA = std(coefA);
mean_cA_mat = reshape(mean_cA,6,6);
std_cA_mat = reshape(std_cA,6,6);

figure;
imagesc(mean_cA_mat);
colormap(jet);
figure;
imagesc(std_cA_mat);